# Uses of Enum Class
org.apache.sysds.runtime.iogen.RowIndexStructure.IndexProperties

Packages that use RowIndexStructure.IndexProperties
Package
Description
org.apache.sysds.runtime.iogen

## Uses of RowIndexStructure.IndexProperties in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return RowIndexStructure.IndexProperties
Modifier and Type
Method
Description
`RowIndexStructure.IndexProperties`
RowIndexStructure.`getProperties()`
`static RowIndexStructure.IndexProperties`
RowIndexStructure.IndexProperties.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RowIndexStructure.IndexProperties[]`
RowIndexStructure.IndexProperties.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.iogen with parameters of type RowIndexStructure.IndexProperties
Modifier and Type
Method
Description
`void`
RowIndexStructure.`setProperties(RowIndexStructure.IndexProperties properties)`